%define name syslinux
%define version 1.67
%define release 4mdk

Summary:	A bootloader for linux using floppies, CD or PXE.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Url:		http://ftp.kernel.org/pub/linux/utils/boot/syslinux/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	nasm >= 0.97
Patch0:         syslinux-1.67-use-vfat-instead-of-msdos.patch.bz2
Patch1:		syslinux-1.67-graphic.patch.bz2
ExclusiveArch:	%{ix86}
Obsoletes:	isolinux < %{version}
Provides:	isolinux = %{version}


%description
SYSLINUX is a boot loader for the Linux operating system which
operates off an MS-DOS/Windows FAT filesystem.  It is intended to
simplify first-time installation of Linux, and for creation of rescue-
and other special-purpose boot disks.

This version include a patched SYSLINUX for handling VESA graphic mode.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
make clean
make DATE="Mandrake Linux"

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p syslinux-graphic $RPM_BUILD_ROOT%{_bindir}
install -p syslinux $RPM_BUILD_ROOT%{_bindir}/syslinux-original
ln -s syslinux-graphic $RPM_BUILD_ROOT%{_bindir}/syslinux
install -m 0755 ppmtolss16 $RPM_BUILD_ROOT%{_bindir}/ppmtolss16
install -d $RPM_BUILD_ROOT%{_libdir}
install -d $RPM_BUILD_ROOT%{_libdir}/syslinux
install -m 0644 isolinux*.bin pxelinux.0 $RPM_BUILD_ROOT%{_libdir}/syslinux
install -m 0755 gethostip $RPM_BUILD_ROOT%{_bindir}/gethostip
install -m 0644 memdisk/memdisk $RPM_BUILD_ROOT%{_libdir}/syslinux/memdisk

%files
%defattr(-,root,root)
%doc COPYING NEWS README README.graphic TODO
%doc syslinux.doc isolinux.doc pxelinux.doc
%{_bindir}/*
%{_libdir}/*

%changelog
* Tue Feb 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.67-4mdk
- moved arch dependant files into /usr/lib/syslinux instead of
  /usr/lib only.

* Mon Feb 25 2002 Franois Pons <fpons@mandrakesoft.com> 1.67-3mdk
- fixed possible extended register corruption.
- fixed cursor displayed on some hardware.

* Mon Feb 18 2002 Franois Pons <fpons@mandrakesoft.com> 1.67-2mdk
- added missing gethostip and memdisk for Erwan.

* Thu Feb 05 2002 Franois Pons <fpons@mandrakesoft.com> 1.67-1mdk
- updated graphic patch for 1.67 release of syslinux.
- updated use vfat patch for 1.67 release of syslinux.
- merge isolinux.
- add pxelinux.
- 1.67.

* Thu Aug 30 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-10mdk
- use syslinux-graphic by default for syslinux.

* Thu Aug 30 2001 Pixel <pixel@mandrakesoft.com> 1.48-9mdk
- use vfat instead of msdos

* Tue Jul 31 2001 Pixel <pixel@mandrakesoft.com> 1.48-8mdk
- ugly fix to ensure syslinux is rebuild (the default syslinux binary in the
  package is broken)

* Tue Jul 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.48-7mdk
- exclusivearch: x86
- remove translations that kill rpm build

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-6mdk
- build release, update distribution tag.

* Thu May 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.48-5mdk
- make sure msg file are interchangeable with lilo-graphic.

* Thu Aug 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.48-4mdk
- macroszifications.
- changed the date string to "Linux-Mandrake" for syslinux-graphic.

* Mon Apr 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.48-3mdk
- new version of graphic patch for avoiding BIOS text output when using
  graphic mode, this make things much better on screen and much more
  card are supported.
- added a small documention on graphic patch in README.graphic.
- Updated spec file and Group.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-2mdk
- corrected for unsunported TTY output in graphic mode.
- take care of ATI* and Intel* cards.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-1mdk
- first version with graphic patch.

